<!DOCTYPE html>
    <html>
    <head>
    <title>Drawing line with arrow at the end</title>

    <script src="http://d3js.org/d3.v3.min.js"></script>
    </head>
    <body>
    <script type='text/javascript'>

    d3.tsv("medline-with-abs-w64-s2-mc30-tensor.txt", function(data) {
      console.log(data[0].term);
    });

    var w = 300;
    var h = 300;
    var svg =  d3.select("body")
        .append("svg")
        .attr("width", w)
        .attr("height", h);

    //arrow
    svg.append("svg:defs").append("svg:marker")
          .attr("id", "triangle")
        .attr("viewBox", "0 -5 10 10")
        .attr("refX", 15)
        .attr("refY", -1.5)
        .attr("markerWidth", 6)
        .attr("markerHeight", 6)
        .attr("orient", "auto");
    //rectanglee
        svg.append("rect")
            .attr("x", 10)
            .attr("y", 10)
            .attr("width", 500)
            .attr("height", 400)

            .attr("stroke-width", .5)
            .attr("stroke", "black")
            .attr("fill", "transparent")
            .attr("marker-end", "url(#triangle)");

    //line
        svg.append("line")
            .attr("x1",  100)
            .attr("y1", 100)
            .attr("x2", 2450)
            .attr("y2", 330)

            .attr("stroke-width", 1)
            .attr("stroke", "black")
            .attr("marker-end", "url(#triangle)");


            </script>
            </body>
    </html>
